var clover = new Object();

// JSON: {classes : [{name, id, sl, el,  methods : [{sl, el}, ...]}, ...]}
clover.pageData = {"classes":[{"el":70,"id":517,"methods":[{"el":49,"sc":5,"sl":47},{"el":58,"sc":5,"sl":56},{"el":69,"sc":5,"sl":67}],"name":"RedirectException","sl":40}]}

// JSON: {test_ID : {"methods": [ID1, ID2, ID3...], "name" : "testXXX() void"}, ...};
clover.testTargets = {"test_1266":{"methods":[{"sl":56}],"name":"testGetLocationUriDisallowCircularRedirects","pass":true,"statements":[{"sl":57}]},"test_1274":{"methods":[{"sl":56}],"name":"testCircularRedirect","pass":true,"statements":[{"sl":57}]},"test_1366":{"methods":[{"sl":56}],"name":"testCircularRedirect","pass":true,"statements":[{"sl":57}]},"test_1828":{"methods":[{"sl":56}],"name":"testMaxRedirectCheck","pass":true,"statements":[{"sl":57}]},"test_1961":{"methods":[{"sl":56}],"name":"testMaxRedirectCheck","pass":true,"statements":[{"sl":57}]},"test_2475":{"methods":[{"sl":56}],"name":"testMaxRedirectCheck","pass":true,"statements":[{"sl":57}]},"test_2728":{"methods":[{"sl":56}],"name":"testCircularRedirect","pass":true,"statements":[{"sl":57}]},"test_3150":{"methods":[{"sl":56}],"name":"testCircularRedirect","pass":true,"statements":[{"sl":57}]},"test_3422":{"methods":[{"sl":56}],"name":"testGetLocationUriDisallowCircularRedirects","pass":true,"statements":[{"sl":57}]},"test_4047":{"methods":[{"sl":56}],"name":"testGetLocationUriDisallowCircularRedirects","pass":true,"statements":[{"sl":57}]},"test_4269":{"methods":[{"sl":56}],"name":"testMaxRedirectCheck","pass":true,"statements":[{"sl":57}]},"test_439":{"methods":[{"sl":56}],"name":"testGetLocationUriDisallowCircularRedirects","pass":true,"statements":[{"sl":57}]},"test_4753":{"methods":[{"sl":56}],"name":"testCircularRedirect","pass":true,"statements":[{"sl":57}]},"test_5091":{"methods":[{"sl":56}],"name":"testGetLocationUriDisallowCircularRedirects","pass":true,"statements":[{"sl":57}]},"test_720":{"methods":[{"sl":56}],"name":"testMaxRedirectCheck","pass":true,"statements":[{"sl":57}]}}

// JSON: { lines : [{tests : [testid1, testid2, testid3, ...]}, ...]};
clover.srcFileLines = [[], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [1961, 1274, 1366, 4753, 1828, 1266, 4269, 3150, 3422, 720, 2728, 2475, 4047, 439, 5091], [1961, 1274, 1366, 4753, 1828, 1266, 4269, 3150, 3422, 720, 2728, 2475, 4047, 439, 5091], [], [], [], [], [], [], [], [], [], [], [], [], []]
